<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AxpertLogs.aspx.cs" Inherits="aspx_Logs" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta charset="utf-8"/>
    <meta name="description" content="Configuration"/>
    <meta name="keywords" content="Agile"/>
    <meta name="author" content="Agile Labs"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>    
    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <title>Axpert Logs</title>

    <link href="../Css/thirdparty/bootstrap/3.3.6/bootstrap.min.css" rel="stylesheet" />
    <link href="../Css/thirdparty/font-awesome/4.6.3/css/font-awesome.min.css" rel="stylesheet" />
    <link href="../Css/globalStyles.min.css?v=36" rel="stylesheet" />
    <script>
        if(typeof localStorage != "undefined"){
            var projUrl =  top.window.location.href.toLowerCase().substring("0", top.window.location.href.indexOf("/aspx/"));
            var lsTimeStamp = localStorage["customGlobalStylesExist-" + projUrl]
            if(lsTimeStamp && lsTimeStamp != "false"){
                var appProjName = localStorage["projInfo-" + projUrl] || "";
                var customGS = "<link id=\"customGlobalStyles\" data-proj=\""+ appProjName +"\" href=\"../"+ appProjName +"/customGlobalStyles.css?v="+ lsTimeStamp +"\" rel=\"stylesheet\" />";
                document.write(customGS);
            }
        }
    </script>
    <link href="../Css/multi-select.min.css" rel="stylesheet" />
    <link href="../ThirdParty/DataTables-1.10.13/media/css/jquery.dataTables.min.css" rel="stylesheet" />
    <script>
        if (!('from' in Array)) {
            // IE 11: Load Browser Polyfill
            document.write('<script src="../Js/polyfill.min.js"><\/script>');
        }
    </script>
    <script src="../Js/thirdparty/jquery/3.1.1/jquery.min.js" type="text/javascript"></script>
    <script src="../Js/thirdparty/jquery-ui/1.12.1/jquery-ui.min.js" type="text/javascript"></script>
    <script src="../Js/thirdparty/bootstrap/3.3.6/bootstrap.min.js"></script>
    <script src="../Js/noConflict.min.js?v=1" type="text/javascript"></script>

    <link href="../Css/Icons/icon.min.css" rel="stylesheet" />
    <link href="../Css/thirdparty/jquery-ui/1.12.1/jquery-ui.min.css" rel="stylesheet" />
    <%--custom alerts start--%>
    <link href="../Css/animate.min.css" rel="stylesheet" />
    <script src="../Js/alerts.min.js?v=30" type="text/javascript"></script>
    <script src="../ThirdParty/DataTables-1.10.13/media/js/jquery.dataTables.min.js"></script>
    <%--custom alerts end--%>

    <link href="../Css/msgBoxLight.min.css?v=4" rel="stylesheet" type="text/css" />
    <script src="../Js/jquery.msgBox.min.js?v=2" type="text/javascript"></script>
    <script src="../assets/js/ToolTip.min.js" type="text/javascript"></script>
    <link href="../ThirdParty/jquery-confirm-master/jquery-confirm.min.css?v=1" rel="stylesheet" />
    <script src="../ThirdParty/jquery-confirm-master/jquery-confirm.min.js?v=2"></script>
    <link href="../Css/TstructNew.min.css?v=91" rel="stylesheet" />
    <link href="../Css/Config_style.min.css?v=16" rel="stylesheet" type="text/css" />
    <link href="../App_Themes/Gray/Stylesheet.min.css?v=23" rel="stylesheet" />

    <script src="../Js/common.min.js?v=115" type="text/javascript"></script>
    <script src="../Js/AxpertLogs.min.js?v=10" type="text/javascript"></script>
    <link href="../ThirdParty/Linearicons/Font/library/linearIcons.css" rel="stylesheet" />

     <link id="themecss" type="text/css" href="" rel="stylesheet" />
</head>
<body onload="ChangeDir('<%=direction%>');" class="btextDir-<%=direction%>">
    <form id="form1" class="axpertlogs" runat="server">
        <div id="axpertLogs">
            <div class="panel panel-default configpanel">
                <div class="panel-heading  active configheading" role="tab" id="headingOne">
                    <h4 class="panel-title">
                        <asp:Label ID="lblConfig" runat="server" meta:resourcekey="lblConfig">Config change logs</asp:Label>
                    </h4>
                </div>

                <div id="configLogs" runat="server"  class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne" aria-expanded="true">
                    <div class="panel-body">
                    </div>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
