<%@ Page Language="C#" AutoEventWireup="true" CodeFile="~/aspx/OpenFiles.aspx.cs" Inherits="aspx_OpenFiles" %>

<!DOCTYPE html>
<html>
<head id="Head1" runat="server">
    <meta charset="utf-8"/>
    <meta name="description" content="Open File"/>
    <meta name="keywords" content="Agile Cloud, Axpert,HMS,BIZAPP,ERP"/>
    <meta name="author" content="Agile Labs"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>    
    <meta content="width=device-width, initial-scale=1.0" name="viewport" />

    <title>Open Files</title>
    <link href="../Css/globalStyles.min.css?v=36" rel="stylesheet" />
    <script>
        if(typeof localStorage != "undefined"){
            var projUrl =  top.window.location.href.toLowerCase().substring("0", top.window.location.href.indexOf("/aspx/"));
            var lsTimeStamp = localStorage["customGlobalStylesExist-" + projUrl]
            if(lsTimeStamp && lsTimeStamp != "false"){
                var appProjName = localStorage["projInfo-" + projUrl] || "";
                var customGS = "<link id=\"customGlobalStyles\" data-proj=\""+ appProjName +"\" href=\"../"+ appProjName +"/customGlobalStyles.css?v="+ lsTimeStamp +"\" rel=\"stylesheet\" />";
                document.write(customGS);
            }
        }
    </script>
    <script>
        if (!('from' in Array)) {
            // IE 11: Load Browser Polyfill
            document.write('<script src="../Js/polyfill.min.js"><\/script>');
        }
    </script>
    <script src="../Js/thirdparty/jquery/3.1.1/jquery.min.js" type="text/javascript"></script>
    <script src="../Js/noConflict.min.js?v=1" type="text/javascript"></script>
    <%--custom alerts start--%>
    <link href="../ThirdParty/jquery-confirm-master/jquery-confirm.min.css?v=1" rel="stylesheet" />
    <script src="../ThirdParty/jquery-confirm-master/jquery-confirm.min.js?v=2" type="text/javascript"></script>
    <link href="../Css/animate.min.css" rel="stylesheet" />
    <script src="../Js/alerts.min.js?v=30" type="text/javascript"></script>
    <%--custom alerts end--%>
    <script src="../Js/gen.min.js?v=14" type="text/javascript"></script>
    <link id="themecss" type="text/css" rel="Stylesheet" href="" />
    <script src="../Js/Openfiles.min.js?v=2" type="text/javascript"></script>
    <script src="../Js/common.min.js?v=115" type="text/javascript"></script>

</head>
<body class="Family">
    <form id="form1" runat="server">
        <div class="tstruct-content">

            <asp:Button ID="btnDownloadZip" runat="server" Text="Download As Zip" Style="margin-left: 300px; width: 120px;" OnClick="btnDownloadZip_Click" />
            <asp:Button ID="btnSaveFiles" runat="server" Text="Save" Style="margin-left: 300px; width: 80px;" OnClick="btnSaveFiles_Click" />

            <asp:GridView CellSpacing="-1" ID="gvFiles" runat="server" AutoGenerateColumns="False" AllowPaging="false"
                Font-Size="Small" GridLines="Both" AllowSorting="true" CssClass="dataGrid"
                Width="50%" OnRowCommand="gvFiles_RowCommand">
                <RowStyle Height="5px" />
                <Columns>
                    <asp:TemplateField HeaderText="Files" ShowHeader="True"
                        ControlStyle-Width="80%">
                        <ItemStyle Font-Size="Small" HorizontalAlign="Left" VerticalAlign="Middle" Width="100%" />
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkfile" runat="server" CausesValidation="False" CommandName="Select"
                                CommandArgument='<%# Bind("link")%>' Text='<%# Bind("FileName")%>'></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </div>
    </form>
</body>
</html>
